%define name		j2ee-editor
%define jar_name	j2eeeditor
%define version		1.0
%define release		2jpp
%define section		non-free

Summary:	J2EE(tm) config file editor
Url:		http://www.netbeans.org

Source0:	%{jar_name}-%{version}.jar
NoSource:	0
# Get it from install of original netbeans-3.6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module offers the basic infrastructure for building 
visual editors for J2EE components. The library contains 
different Swing components and sustomizers suitable for 
J2EE components (resoure references, ejb references). 
Primarily, the library was developed for building EJB 
module editor and web.xml editor. 

%prep
%setup -T -q -c
cp %{SOURCE0} .

# fix files perms
chmod -R go=u-w *

%build
# Nope

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755                        $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{jar_name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s              %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar

%changelog

* Fri Sep 03 2004 Ralph Apel <r.apel at r-apel.de> 1.0-2jpp
- Fixed origin of Source0

* Tue Jul 13 2004 Ralph Apel <r.apel at r-apel.de> 1.0-1jpp
- Initial release
